Homology databases list
GET
/
v1
/
homology_databases
Homology databases list
curl --request GET \
--url https://api.rafflesia.ai/v1/homology_databases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rafflesia.ai/v1/homology_databases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rafflesia.ai/v1/homology_databases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"provenance": {
"created_at": "<string>",
"operation": "<string>",
"request_id": "<string>",
"server_version": "<string>",
"cache_hit": true,
"database_snapshots": [
{
"name": "<string>",
"version": "<string>",
"digest": "<string>",
"kind": "<string>"
}
],
"generated_object_ids": [
"<string>"
],
"input_hash": "<string>",
"parameters_hash": "<string>",
"tool_versions": [
{
"name": "<string>",
"version": "<string>",
"path": "<string>"
}
]
},
"warnings": [
{
"code": "<string>",
"message": "<string>",
"details": {}
}
],
"$schema": "<string>",
"data": {
"data": [
{
"display_name": "<string>",
"evidence": [
"<string>"
],
"id": "<string>",
"molecule_type": "<string>",
"object": "<string>",
"query_kinds": [
"<string>"
],
"slug": "<string>",
"default_release_alias": "<string>",
"default_release_id": "<string>",
"description": "<string>"
}
],
"has_more": true,
"object": "<string>",
"url": "<string>",
"next_cursor": "<string>"
},
"error": {
"code": "<string>",
"doc_url": "<string>",
"message": "<string>",
"details": {},
"param": "<string>"
},
"evidence": {
"warnings_count": 123,
"duration_ms": 123,
"input_refs": [
"<string>"
],
"object_refs": [
"<string>"
],
"output_refs": [
"<string>"
],
"row_count": 123
}
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Authorizations
A Rafflesia API key, sent as Authorization: Bearer <key>.
Query Parameters
Required range:
1 <= x <= 100Response
OK
Whether the operation succeeded.
Execution provenance.
Show child attributes
Show child attributes
Non-fatal warnings.
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"https://example.com/schemas/EnvelopeHomologyDatabaseList.json"
Operation result data.
Show child attributes
Show child attributes
Structured error information.
Show child attributes
Show child attributes
Mechanical evidence summary for agent inspection and chaining.
Show child attributes
Show child attributes
⌘I
Homology databases list
